Skip to main content
GET
/
lists
List all lists
curl --request GET \
  --url https://api.pulsewave.dev/v1/lists \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "lst_7q1m4z",
      "object": "contact_list",
      "name": "<string>",
      "contact_count": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

Response

A page of lists

object
enum<string>
Available options:
list
data
object[]
has_more
boolean